Index: src/osx/run.cxx
===================================================================
--- src/osx/run.cxx	(revision 5755)
+++ src/osx/run.cxx	(working copy)
@@ -1515,6 +1515,10 @@
       ret = InstallTrackingHandler( dndTrackingHandler, x->xid, this);
       ret = InstallReceiveHandler( dndReceiveHandler, x->xid, this);
     }
+    
+    if(size_range_set == 2)
+        size_range_();
+    
   }
 }
 
@@ -1525,7 +1529,15 @@
  * Turn on flag to indicate that user set the min and max size.
  */
 void Window::size_range_() {
-  size_range_set = 1;
+  size_range_set = 2;
+  HISize minSize = { minw, minh };
+  HISize maxSize = { maxw?maxw:32000, maxh?maxh:32000 };
+  if (i) {
+    if (i->xid) {
+      SetWindowResizeLimits(i->xid, &minSize, &maxSize);
+    }
+    size_range_set = 1;
+  }
 }
 
 /*
